comp.ebayes {DEDS} | R Documentation

## Computing Empirical Bayes Statistics for Differential Expression

### Description

`comp.ebayes` returns a function of one argument with bindings for `L` and `proportion`. This function accepts a microarray data matrix as its single argment, when evaluated, computes lod-odds (B statistics) and moderated t statistics of differential expression by emprical Bayes shrinkage of the standard error toward a common value.

### Usage

    comp.ebayes(L = NULL, proportion = 0.01)

### Arguments

`L` | A vector of integers corresponding to observation (column) class labels. For k classes, the labels must be integers between 0 and k-1.
`proportion` | A numeric variable specifying the proportion of differential expression.

### Details

The function returned by `comp.ebayes` calculates B statistics and moderated t statistics for each row of the microarray data matrix, with bindings for `L` and `proportion`. It interfaces to a C function.

### Value

`comp.ebayes` returns a function (F) with the bindings for `L` and `proportion` . The function F when supplied with a microarray data matrix and evaluated will return a matrix of two columns:

`t` | Moderated t statistics
`B` | B statistics (log-odds) of differential expression

### Author(s)

Yuanyuan Xiao, yxiao@itsa.ucsf.edu,
Jean Yee Hwa Yang, jean@biostat.ucsf.edu.

### References

Lönnstedt, I. and Speed, T. P. (2002). Replicated microarray data. Statistica Sinica 12, 31-46.

Smyth, G. K. (2003). Linear models and empirical Bayes methods for assessing differential expression in microarray experiments. http://www.statsci.org/smyth/pubs/ebayes.pdf

### See Also

`comp.modt`,`comp.B`.

### Examples

    X <- matrix(rnorm(1000,0,0.5), nc=10)
    L <- rep(0:1,c(5,5))

    # genes 1-10 are differentially expressed
    X[1:10,6:10]<-X[1:10,6:10]+1

    # compute B and moderated t statistics, proportion set as 0.01
    ebayes.fun <- comp.ebayes(L)
    ebayes.X <- ebayes.fun(X)

    # compute B and moderated t statistics, proportion set as 0.1
    ebayes.fun <- comp.ebayes(L, proportion=0.1)
    ebayes.X <- ebayes.fun(X)

[Package DEDS version 1.6.0 Index]